Bug 429076

Summary: KDE system settings break when I select any option
Product: [Applications] systemsettings Reporter: Manoel Junior <manoel.miguel1737>
Component: generic-crashAssignee: Plasma Bugs List <plasma-bugs>
Status: RESOLVED DUPLICATE    
Severity: crash CC: giovane.gurgel, nate
Priority: NOR Keywords: drkonqi
Version: 5.20.2   
Target Milestone: ---   
Platform: unspecified   
OS: Linux   
Latest Commit: Version Fixed In:
Attachments: New crash information added by DrKonqi

Description Manoel Junior 2020-11-14 07:06:31 UTC
Application: systemsettings5 (5.20.2)

Qt Version: 5.15.1
Frameworks Version: 5.75.0
Operating System: Linux 5.9.3-1-MANJARO x86_64
Windowing system: X11
Distribution: Manjaro Linux

-- Information about the crash:
- What I was doing when the application crashed: 
Whenever I try to select a configuration option (icons, themes, users or any other), the application freezes and ends itself in a second.

- Unusual behavior I noticed: This only happens in an X session, in Wayland the application works very well.

- Custom settings of the application: none, I use the default installation configuration.

The crash can be reproduced every time.

-- Backtrace:
Application: ConfiguraƧƵes do sistema (systemsettings5), signal: Segmentation fault

[KCrash Handler]
#4  0x0000000000000000 in  ()
#5  0x00007f1cfa7ed137 in  () at /usr/lib/libQt5Quick.so.5
#6  0x00007f1cfa7ed179 in  () at /usr/lib/libQt5Quick.so.5
#7  0x00007f1cfa96c103 in  () at /usr/lib/libQt5Quick.so.5
#8  0x00007f1cf641ec9a in  () at /usr/lib/libQt5XcbQpa.so.5
#9  0x00007f1cf6420f24 in  () at /usr/lib/libQt5XcbQpa.so.5
#10 0x00007f1cf6422661 in  () at /usr/lib/libQt5XcbQpa.so.5
#11 0x00007f1cfa7ff60d in QQuickItemPrivate::setEffectiveVisibleRecur(bool) () at /usr/lib/libQt5Quick.so.5
#12 0x00007f1cfa7ff6f5 in QQuickItemPrivate::setVisible(bool) () at /usr/lib/libQt5Quick.so.5
#13 0x00007f1cc005c511 in  () at /usr/lib/qt/qml/org/kde/kirigami.2/libkirigamiplugin.so
#14 0x00007f1cc005f0e8 in  () at /usr/lib/qt/qml/org/kde/kirigami.2/libkirigamiplugin.so
#15 0x00007f1cfa7fa185 in QQuickItemPrivate::itemChange(QQuickItem::ItemChange, QQuickItem::ItemChangeData const&) () at /usr/lib/libQt5Quick.so.5
#16 0x00007f1cfa801044 in QQuickItemPrivate::removeChild(QQuickItem*) () at /usr/lib/libQt5Quick.so.5
#17 0x00007f1cfa802ef3 in QQuickItem::setParentItem(QQuickItem*) () at /usr/lib/libQt5Quick.so.5
#18 0x00007f1cfa803497 in QQuickItem::~QQuickItem() () at /usr/lib/libQt5Quick.so.5
#19 0x00007f1ca9d66037 in  () at /usr/lib/qt/qml/QtQuick/Templates.2/libqtquicktemplates2plugin.so
#20 0x00007f1cfab31809 in KDeclarative::QmlObject::~QmlObject() () at /usr/lib/libKF5Declarative.so.5
#21 0x00007f1cfab3209a in KDeclarative::QmlObjectSharedEngine::~QmlObjectSharedEngine() () at /usr/lib/libKF5Declarative.so.5
#22 0x00007f1cfc8ad61c in KQuickAddons::ConfigModule::~ConfigModule() () at /usr/lib/libKF5QuickAddons.so.5
#23 0x00007f1c8c0b16a9 in  () at /usr/lib/qt/plugins/kcms/kcm_icons.so
#24 0x00007f1cfc9a7263 in  () at /usr/lib/libKF5KCMUtils.so.5
#25 0x00007f1cfc9a7289 in  () at /usr/lib/libKF5KCMUtils.so.5
#26 0x00007f1cfc9ad674 in KCModuleProxy::deleteClient() () at /usr/lib/libKF5KCMUtils.so.5
#27 0x00007f1cfc9ad7e9 in KCModuleProxy::~KCModuleProxy() () at /usr/lib/libKF5KCMUtils.so.5
#28 0x00007f1cfc9ad8aa in KCModuleProxy::~KCModuleProxy() () at /usr/lib/libKF5KCMUtils.so.5
#29 0x00007f1cfb3de36e in QObjectPrivate::deleteChildren() () at /usr/lib/libQt5Core.so.5
#30 0x00007f1cfbfb704e in QWidget::~QWidget() () at /usr/lib/libQt5Widgets.so.5
#31 0x00007f1cfbfb73ca in QWidget::~QWidget() () at /usr/lib/libQt5Widgets.so.5
#32 0x00007f1cfb3de36e in QObjectPrivate::deleteChildren() () at /usr/lib/libQt5Core.so.5
#33 0x00007f1cfbfb704e in QWidget::~QWidget() () at /usr/lib/libQt5Widgets.so.5
#34 0x00007f1cfc11482a in QScrollArea::~QScrollArea() () at /usr/lib/libQt5Widgets.so.5
#35 0x00007f1cfc6f43d8 in KPageWidgetItem::~KPageWidgetItem() () at /usr/lib/libKF5WidgetsAddons.so.5
#36 0x00007f1cfc6f44d6 in  () at /usr/lib/libKF5WidgetsAddons.so.5
#37 0x00007f1cfc6f46b2 in KPageWidgetModel::removePage(KPageWidgetItem*) () at /usr/lib/libKF5WidgetsAddons.so.5
#38 0x00007f1cfc9ebe66 in ModuleView::closeModules() () at /usr/lib/libsystemsettingsview.so.3
#39 0x00007f1cc1ccd142 in  () at /usr/lib/qt/plugins/systemsettings_sidebar_mode.so
#40 0x00007f1cc1ccb8ce in  () at /usr/lib/qt/plugins/systemsettings_sidebar_mode.so
#41 0x00007f1cc1ccbe23 in  () at /usr/lib/qt/plugins/systemsettings_sidebar_mode.so
#42 0x00007f1cfa40e50e in  () at /usr/lib/libQt5Qml.so.5
#43 0x00007f1cfa2f403f in  () at /usr/lib/libQt5Qml.so.5
#44 0x00007f1cfa2f5eda in QV4::QObjectMethod::callInternal(QV4::Value const*, QV4::Value const*, int) const () at /usr/lib/libQt5Qml.so.5
#45 0x00007f1cfa311ad7 in  () at /usr/lib/libQt5Qml.so.5
#46 0x00007f1cfa31462f in  () at /usr/lib/libQt5Qml.so.5
#47 0x00007f1cfa2aecce in QV4::Function::call(QV4::Value const*, QV4::Value const*, int, QV4::ExecutionContext const*) () at /usr/lib/libQt5Qml.so.5
#48 0x00007f1cfa42b8d6 in QQmlJavaScriptExpression::evaluate(QV4::CallData*, bool*) () at /usr/lib/libQt5Qml.so.5
#49 0x00007f1cfa3dd5cd in QQmlBoundSignalExpression::evaluate(void**) () at /usr/lib/libQt5Qml.so.5
#50 0x00007f1cfa3ddab1 in  () at /usr/lib/libQt5Qml.so.5
#51 0x00007f1cfa40dfad in QQmlNotifier::emitNotify(QQmlNotifierEndpoint*, void**) () at /usr/lib/libQt5Qml.so.5
#52 0x00007f1cfb3eabb5 in  () at /usr/lib/libQt5Core.so.5
#53 0x00007f1cf55bb712 in QQuickAbstractButtonPrivate::handleRelease(QPointF const&) () at /usr/lib/libQt5QuickTemplates2.so.5
#54 0x00007f1cf55d8ff1 in QQuickControl::mouseReleaseEvent(QMouseEvent*) () at /usr/lib/libQt5QuickTemplates2.so.5
#55 0x00007f1cfa802088 in QQuickItem::event(QEvent*) () at /usr/lib/libQt5Quick.so.5
#56 0x00007f1cfbf7a752 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5
#57 0x00007f1cfb3b3cda in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /usr/lib/libQt5Core.so.5
#58 0x00007f1cfa81e8c8 in QQuickWindowPrivate::deliverMouseEvent(QQuickPointerMouseEvent*) () at /usr/lib/libQt5Quick.so.5
#59 0x00007f1cfa81fc7c in QQuickWindowPrivate::deliverPointerEvent(QQuickPointerEvent*) () at /usr/lib/libQt5Quick.so.5
#60 0x00007f1cfb896a15 in QWindow::event(QEvent*) () at /usr/lib/libQt5Gui.so.5
#61 0x00007f1cfbf7a752 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5
#62 0x00007f1cfb3b3cda in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /usr/lib/libQt5Core.so.5
#63 0x00007f1cfab4e22a in QQuickWidget::mouseReleaseEvent(QMouseEvent*) () at /usr/lib/libQt5QuickWidgets.so.5
#64 0x00007f1cfbfbbb0e in QWidget::event(QEvent*) () at /usr/lib/libQt5Widgets.so.5
#65 0x00007f1cfbf7a752 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5
#66 0x00007f1cfbf8187b in QApplication::notify(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5
#67 0x00007f1cfb3b3cda in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /usr/lib/libQt5Core.so.5
#68 0x00007f1cfbf8087e in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool, bool) () at /usr/lib/libQt5Widgets.so.5
#69 0x00007f1cfbfd4249 in  () at /usr/lib/libQt5Widgets.so.5
#70 0x00007f1cfbfd763f in  () at /usr/lib/libQt5Widgets.so.5
#71 0x00007f1cfbf7a752 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5
#72 0x00007f1cfb3b3cda in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /usr/lib/libQt5Core.so.5
#73 0x00007f1cfb88a4ac in QGuiApplicationPrivate::processMouseEvent(QWindowSystemInterfacePrivate::MouseEvent*) () at /usr/lib/libQt5Gui.so.5
#74 0x00007f1cfb85fbac in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Gui.so.5
#75 0x00007f1cf63cef9c in  () at /usr/lib/libQt5XcbQpa.so.5
#76 0x00007f1cf8fe2914 in g_main_context_dispatch () at /usr/lib/libglib-2.0.so.0
#77 0x00007f1cf90367d1 in  () at /usr/lib/libglib-2.0.so.0
#78 0x00007f1cf8fe1121 in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#79 0x00007f1cfb40c941 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#80 0x00007f1cfb3b265c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#81 0x00007f1cfb3baaf4 in QCoreApplication::exec() () at /usr/lib/libQt5Core.so.5
#82 0x0000556c87178966 in  ()
#83 0x00007f1cfad78152 in __libc_start_main () at /usr/lib/libc.so.6
#84 0x0000556c8717933e in _start ()
[Inferior 1 (process 859605) detached]

The reporter indicates this bug may be a duplicate of or related to bug 428879.

Possible duplicates by query: bug 428879, bug 428481, bug 426047, bug 423874, bug 423459.

Reported using DrKonqi
Comment 1 Nate Graham 2020-11-16 20:29:00 UTC

*** This bug has been marked as a duplicate of bug 426047 ***
Comment 2 giovane.gurgel 2023-05-11 11:33:59 UTC
Created attachment 158854 [details]
New crash information added by DrKonqi

systemsettings (5.27.4) using Qt 5.15.9

After some regular update, I can not access any menu item in "System Settings" screen without getting "system settings closed unexpectedly " notification. I did not make any special modification in my system, just the regular updates.

-- Backtrace (Reduced):
#7  0x00007f83925df2f7 in QAccessibleQuickItem::role() const () from /lib/x86_64-linux-gnu/libQt5Quick.so.5
[...]
#11 0x00007f8392461dbb in QQuickItemPrivate::setEffectiveVisibleRecur(bool) () from /lib/x86_64-linux-gnu/libQt5Quick.so.5
#12 0x00007f8392469686 in QQuickItem::setParentItem(QQuickItem*) () from /lib/x86_64-linux-gnu/libQt5Quick.so.5
#13 0x00007f8392469bd1 in QQuickItem::~QQuickItem() () from /lib/x86_64-linux-gnu/libQt5Quick.so.5
[...]
#15 0x00007f8392f414ba in KDeclarative::QmlObject::~QmlObject() () from /lib/x86_64-linux-gnu/libKF5Declarative.so.5